API Reference / Developer Update an installation version Moves an installation to another published version. If the version adds no permissions, the change becomes active immediately. If it adds permissions, the version becomes the requested version and needs approval from a target manager. Send a strong If-Match header. A revoked installation returns installation_inactive.
PATCH /api/v2/developer/installations/{installationId}
Parameters # Property Type Location Description installationIdstringRequired path- If-MatchstringRequired header-
Request # curl --request PATCH 'https://strave.gg/api/v2/developer/installations/INSTALLATION_ID' \
--header 'Authorization: Bearer $STRAVE_ACCESS_TOKEN'Response # 200Response for status 200
application/json 400Response for status 400
application/json 401Response for status 401
application/json 403Response for status 403
application/json 404Response for status 404
application/json 409Response for status 409
application/json 412Response for status 412
application/json 428Response for status 428
application/json 429Response for status 429
application/json 500Response for status 500
application/json 503Response for status 503
application/json Property Type Description dataobjectRequired - └ idstringRequired - └ applicationIdstringRequired - └ targetobjectRequired - └ typestringRequired - └ idstringRequired - └ activeVersionIdstring | nullRequired - └ requestedVersionIdstring | nullRequired - └ approvedPermissionsstring[]Required - └ statusstringRequired - └ revisionintegerRequired - └ createdAtstringRequired - └ updatedAtstringRequired -